openstack-meta-packages (0.35) unstable; urgency=medium

  * Removed obsolete packages from depends.

 -- Thomas Goirand <zigo@debian.org>  Sat, 09 Mar 2024 16:41:14 +0100

openstack-meta-packages (0.34) unstable; urgency=medium

  * Removed python3-congressclient from openstack-clients package.

 -- Thomas Goirand <zigo@debian.org>  Thu, 29 Dec 2022 18:39:47 +0100

openstack-meta-packages (0.33) unstable; urgency=medium

  * Removed python3-ceilometerclient from openstack-clients depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Feb 2022 14:08:16 +0100

openstack-meta-packages (0.32) unstable; urgency=medium

  * Fixed package homepage (Closes: #994768).
  * Add magnum, placement and tempest puppet module depends.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Dec 2021 18:21:42 +0100

openstack-meta-packages (0.31) unstable; urgency=medium

  * Use stable-security from bullseye and on (Closes: #972745).
  * Use debhelper-compat = 11.

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Nov 2020 08:37:31 +0100

openstack-meta-packages (0.30) unstable; urgency=medium

  * Removed nova-consoleauth from depends (doesn't exist anymore).

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Jun 2020 23:56:47 +0200

openstack-meta-packages (0.29) unstable; urgency=medium

  * openstack-tempest-ci-live-booter: removed dependency on approx.

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 May 2020 17:14:01 +0200

openstack-meta-packages (0.28) unstable; urgency=medium

  * Apply fix from Svein-Erik Skjelbred (Closes: #930992).

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Dec 2019 12:56:53 +0100

openstack-meta-packages (0.27) unstable; urgency=high

  * Replaced nova-placement-api by placement-api.

 -- Thomas Goirand <zigo@debian.org>  Sun, 17 Nov 2019 23:06:08 +0100

openstack-meta-packages (0.26) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Fix dependency on keystoneclient (Closes: #934644).

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Aug 2019 10:16:09 +0200

openstack-meta-packages (0.25) unstable; urgency=medium

  * Add puppet-module-panko to openstack-puppet-modules.

 -- Thomas Goirand <zigo@debian.org>  Thu, 31 Jan 2019 11:10:00 +0100

openstack-meta-packages (0.24) unstable; urgency=medium

  * Add puppet-module-octavia to openstack-puppet-modules plus a few more.
  * Add a number of clients to the openstack-clients metapackage.

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Dec 2018 09:41:31 +0100

openstack-meta-packages (0.23) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * Removed puppet-module-theforeman-dns from dependencies.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Oct 2018 11:59:45 +0200

openstack-meta-packages (0.22) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * Added lots of new dependencies for openstack-puppet-modules.
  * Fixed minimum version of puppet-module-puppetlabs-apache.
  * Add puppet-module-puppetlabs-haproxy as depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 Apr 2018 12:15:36 +0200

openstack-meta-packages (0.21) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * Fixed preseed-lib to work with the new style of debconf templates from
    openstack-pkg-tools >= 70~.
  * Removed ceilometer-api and heat-api-cloudwatch from depends, as these don't
    exist anymore.
  * Added more dependencies in openstack-clients, and switch to using Python 3
    version of clients.
  * Also remove ceilometer-collector from depends, also gone upstream.
    (Closes: #895120)
  * Add a new openstack-puppet-modules metapackage.

 -- Thomas Goirand <zigo@debian.org>  Wed, 07 Mar 2018 22:35:40 +0100

openstack-meta-packages (0.20) unstable; urgency=medium

  * Removed mongodb since it's not used by Telemetry anymore.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Jan 2018 11:18:12 +0000

openstack-meta-packages (0.19) unstable; urgency=medium

  * Switch back to nova-compute-qemu, the -kvm doesn't work even with the
    nested virtualization turned on.
  * Removed apt-get install linux-image-amd64 since live-tools bug is fixed.
  * openstack-deploy runtime depends on e2fsprogs, xfsprogs (Closes: #887256).

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Dec 2017 21:42:42 +0100

openstack-meta-packages (0.18) unstable; urgency=medium

  [ Thomas Goirand ]
  * Restart swift services properly.
  * Set nova-placement-api as runtime depends for the proxy node.
  * Remove debian/openstack-tempest-ci.postinst that was installing the
    openstack.list file in /etc/tempest-ci.
  * live-booter depends on lsb-base.
  * Add bridge and iface config in live-booter init script.

  [ Ondřej Nový ]
  * Update Swift configuration for Pike
  * Use deb.debian.org as Debian mirror

 -- Thomas Goirand <zigo@debian.org>  Sat, 02 Dec 2017 12:51:48 +0100

openstack-meta-packages (0.17) unstable; urgency=medium

  * Add new package: openstack-tempest-ci-live-booter.
  * openstack-deploy: Fix default package name for mysql-server to be
    mariadb-server.
  * Add preseed of the nova-placement-api in preseed lib.
  * Lots of rework in openstack-tempest-ci.
  * Add Debian live configurator package and scripts.

 -- Thomas Goirand <zigo@debian.org>  Sat, 18 Nov 2017 18:08:06 +0100

openstack-meta-packages (0.16) unstable; urgency=medium

  * Updated VCS fields.
  * Updated copyright format URL.
  * Ran wrap-and-sort -bast.
  * Updated maintainer field.
  * Standards-Version: 4.1.1.
  * Removed gbp.conf.
  * Deprecating priority extra as per policy 4.0.1.
  * openstack-tempest-ci with more parameters.
  * Removed nova-cert from openstack-compute-node, as nova-cert is gone.

 -- Thomas Goirand <zigo@debian.org>  Sat, 28 Oct 2017 10:56:30 +0200

openstack-meta-packages (0.15) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Thomas Goirand ]
  * Runtime depends on default-mysql-* (Closes: #848445, #848446).

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Dec 2016 11:56:07 +0100

openstack-meta-packages (0.14) unstable; urgency=medium

  [ Thomas Goirand ]
  * Update to mitaka instead of liberty.
  * Generating /etc/openstack-tempest-ci/openstack-ci.list dynamically to
    pickup Debian and OpenStack release names from pkgos.conf if it exists.
  * Removed activation of ec2 lib in preseed, as it's gone away from upstream
    code in Nova.
  * Added 14 new python-*client in the openstack-clients metapackage.
  * Added support for IPMI Debian Live provisionning of Tempest CI.
  * Added the automatic installation of: designate, barbican, manila,
    mistral, trove, congress, sahara, murano.
  * Also handling novaapi db.
  * Correctly use KEYSTONE_ADMIN_PASS and not AUTH_TOKEN anymore when
    preseeding endpoints.
  * DEBIAN_FRONTEND=noninteractive in osinstall_install_if_not_installed.
  * Adds missing mkdir -p /etc/openstack-tempest-ci in the openstack-tempest-ci
    package.
  * Adds Depends: ipmitool for openstack-tempest-ci.
  * Added some tweaks to make it work with Newton b1 as well (compatible with
    Mitaka though...).
  * Added openstack-tempest-merge-repo.
  * Fixed --shared option when deploying proxy network.
  * Fixed ssh user for cirros in openstack-deploy-tempest.
  * Switched to using liberty instead of Kilo.
  * Also setting OS_PROJECT_NAME in openrc.sh.
  * Fixed --is-public=True -> --visibility public when adding a new image.
  * Using openstackclient instead of keystoneclient cli when creating the
    testme user and project.
  * Defines the alt user and tenant correctly.
  * Fixed compute image_ssh_user.
  * Do not set public_router_id at all (this adds failures).
  * Added the setup of swift.
  * Standards-Version is now 3.9.8 (no change).

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * Fixed tempest.api.object_storage.test_crossdomain.CrossdomainTest
    .test_get_crossdomain_policy

  [ gustavo panizzo ]
  * openstack-deploy: Ignore errors preseeding man-db
  * openstack-deply: Determine the MySQL server version automatically
  * openstack-deploy: now it can be used in sid

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Jul 2016 10:48:29 +0000

openstack-meta-packages (0.13) unstable; urgency=medium

  * Removed openvswitch-datapath-dkms from recommends.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Jun 2015 14:04:46 +0000

openstack-meta-packages (0.12) unstable; urgency=medium

  * Added scripts to do automatic network configuration of the proxy node.
  * Fixed os_preseed_set_dbconfig_conf to also write the MySQL root pass.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Oct 2014 01:13:08 +0800

openstack-meta-packages (0.11) unstable; urgency=medium

  * Removed libplrpc-perl from the list of packages to purge in openstack-purge
  * Added nova-compute-qemu as possible package instead of nova-compute-kvm.

 -- Thomas Goirand <zigo@debian.org>  Tue, 14 Oct 2014 23:08:40 +0800

openstack-meta-packages (0.10) unstable; urgency=medium

  * Downgraded openvswitch-datapath-dkms and memcached from depends to
    recommends: mostly everything is in the mainstream kernel now.
  * Downgraded memcached from depends to recommends, as it's not available
    in some arch (Closes: #763539).
  * Added ceilometer and trove clients in the openstack-clients package.
  * Standards-Version is now 3.9.6.

 -- Thomas Goirand <zigo@debian.org>  Sat, 04 Oct 2014 11:50:26 +0000

openstack-meta-packages (0.9) unstable; urgency=medium

  * Updated Vcs-Git URL.

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Jul 2014 13:49:22 +0800

openstack-meta-packages (0.8) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Apr 2014 10:42:59 +0000

openstack-meta-packages (0.7) experimental; urgency=medium

  * Added missing python-heatclient dependency.
  * Adds ceilometer-alarm-evaluator & ceilometer-alarm-notifier to the
    openstack-proxy-node package.
  * Added mongodb-10gen-unstable, mongodb-nightly, mongodb-stable,
    mongodb-unstable and mongodb-10gen as possible candidates to replace
    mongodb.
  * Added a new openstack-deploy package. Note that currently, only the
    all-in-one setup has been tested.

 -- Thomas Goirand <zigo@debian.org>  Sun, 23 Jun 2013 18:47:53 +0000

openstack-meta-packages (0.6) unstable; urgency=low

  * Removed nova-api from the openstack-compute-node package, since the way to
    run the metadata service is now through quantum.
  * Now using Quantum as stronger Depends and not just Recommends:.
  * Added Heat in the proxy node.
  * Ran wrap-and-sort.
  * Fixed the nova-consoleproxy dependency.
  * Removed nova-console and added nova-consoleauth from -proxy-node.
  * Removed cinder-api and cinder-scheduler from the -proxy-node.
  * Bumped Standard-Version to 3.9.4.

 -- Thomas Goirand <zigo@debian.org>  Tue, 18 Jun 2013 23:38:06 +0800

openstack-meta-packages (0.4) unstable; urgency=low

  * Really uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 17 May 2013 13:54:19 +0000

openstack-meta-packages (0.3) experimental; urgency=low

  * Uploading to unstable.
  * Fix typo in Vcs-Git (Closes: #705496).

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Apr 2013 17:55:20 +0000

openstack-meta-packages (0.2) experimental; urgency=low

  * Added Depends: nova-conductor in the openstack-proxy-node package.
  * Moved Depends: nova-xvpvncproxy to the openstack-compute-node package.

 -- Thomas Goirand <zigo@debian.org>  Sat, 13 Apr 2013 01:29:08 +0000

openstack-meta-packages (0.1) experimental; urgency=low

  * Initial release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 27 Oct 2012 08:55:54 +0000
